This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 30286 - _sasl_allocation_utils.malloc appears to never be set to malloc()
_sasl_allocation_utils.malloc appears to never be set to malloc()
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: cyrus-sasl (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-02 00:39 EST by zweers
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description zweers 2001-03-02 00:39:31 EST
pop3 and imap from cyrus-imapd consistently seg fault when they reach line
128 in common.c.

My system is using pam for authentication with openldap.

The offending line is:

lib/common.c:128  *out=sasl_ALLOC(len + 1);

sasl_ALLOC is defined here:

lib/saslint:135 #define sasl_ALLOC(__size__)
(_sasl_allocation_utils.malloc((__size__)))

The value of _sasl_allocation_utils.malloc appears to be set in the
declaration of the variable in lib/common.c:79 but for some reason its
value appears to be changed.

My quick work around was to replace the offending line with a direct malloc
call.  So far, this has fixed the problem.

(gdb) p _sasl_allocation_utils.calloc
$6 = (void *(*)(long unsigned int, long unsigned int)) 0x804eb10 <calloc>
(gdb) p _sasl_allocation_utils.malloc
$7 = (void *(*)(long unsigned int)) 0x80630b0 <strcpy+82720>

I ran gdb /usr/cyrus/bin/pop3d after the connection had already been
started.  I added a watch for these two values, and their values are
changed as the program is run.
Comment 1 zweers 2001-03-02 11:16:47 EST
The source files that I mention here are all part of the cyrus-sasl package. 
cyrus-imapd is that package that the problem would appear in, but only when
using the cyrus-sasl lib's.
Comment 2 Bill Nottingham 2006-08-07 21:44:29 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 15:29:43 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.